Distribution:   CCux Linux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Name:		tse3
Version:	0.3.0
Release:	2
License:	GNU/GPL 
URL:		http://TSE3.sourceforge.net
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.gz
Patch0:		tse3-0.2.7-gcc34.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	TSE3 Sequencer library
Requires:	alsa-lib arts
BuildRequires:	alsa-lib-devel 
BuildRequires:	arts-devel 
BuildRequires:	autoconf 
BuildRequires:	automake 
BuildRequires:	libtool
BuildRequires:	glibc-devel
BuildRequires:  audiofile-devel
BuildRequires:  esound-devel
BuildRequires:  jack-audio-connection-kit-devel
BuildRequires:  libmad-devel
BuildRequires:  libogg-devel
BuildRequires:  libstdc++-devel
BuildRequires:  libvorbis-devel



%description
TSE3 [ Trax Sequencer Engine version 3 ]

The TSE3 library is a powerful third generation sequencer engine.
It provides core sequencer functionality with no form of fancy GUI interface.
The library comes with a sample playback program, tse3play

Install the TSE3 library if you want to use the tse3play program or
are using packages that rely on TSE3.

%package devel
Summary: 	%{name} development headers.
Group: 		%{group}            
Requires: 	%{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%package doc
Summary:	%{name} docs.
Group:		%{group}
Requires:	%{name} = %{version}-%{release}

%description doc
Documentation files for %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1
libtoolize --force
aclocal
autoheader
automake -a
autoconf

%build
export CFLAGS="-O2 -march=i686 -pipe "
export CXXFLAGS=$CFLAGS
./configure --prefix=%_prefix --mandir=%_mandir --datadir=%_datadir
make

%install
rm -rf %{buildroot}
make install DESTDIR=$RPM_BUILD_ROOT
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_mandir
%_bindir
%_libdir/*.so.*

%files devel
%defattr(-,root,root)
%_libdir/*.so
%_libdir/*.la
%_includedir

%files doc
%defattr(-,root,root)
%_prefix/doc/%{name}-%{version}


%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Jun 29 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.3.0-2
- changed OPT Flags CFLAGS and CXXFLAGS
* Wed Apr 26 2006 Stefan Gottwald <gotti@ccux-linux.de> 0.3.0-1
- Initial Release
